std::poisson_distribution< _IntType >::param_type(3cxx)

NAME
std::poisson_distribution< _IntType >::param_type

SYNOPSIS

#include <random.h>

  Public Types

typedef poisson_distribution< _IntType > distribution_type

  Public Member Functions

param_type (double __mean)
double mean () const

  Friends

bool operator!= (const param_type &__p1, const param_type &__p2)
bool operator== (const param_type &__p1, const param_type &__p2)
class poisson_distribution< _IntType >

Detailed Description

  template<typename _IntType = int>
struct std::poisson_distribution< _IntType >::param_type"Parameter type.

Definition at line 4423 of file random.h.

Member Typedef Documentation

  template<typename _IntType = int> typedef poisson_distribution<_IntType> std::poisson_distribution< _IntType >::param_type::distribution_type

Definition at line 4425 of file random.h.

Constructor & Destructor Documentation

  template<typename _IntType = int> std::poisson_distribution< _IntType >::param_type::param_type () [inline]

Definition at line 4428 of file random.h.

  template<typename _IntType = int> std::poisson_distribution< _IntType >::param_type::param_type (double __mean) [inline], [explicit]

Definition at line 4431 of file random.h.

Member Function Documentation

  template<typename _IntType = int> double std::poisson_distribution< _IntType >::param_type::mean () const [inline]

Definition at line 4439 of file random.h.

Friends And Related Symbol Documentation

  template<typename _IntType = int> bool operator!= (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 4447 of file random.h.

  template<typename _IntType = int> bool operator== (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 4443 of file random.h.

  template<typename _IntType = int> friend class poisson_distribution< _IntType > [friend]

Definition at line 4425 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.